Get historical resource metrics

Returns CPU, memory, disk, network and disk I/O samples for the server, averaged into buckets across the requested window.

GET
/servers/{server}/metrics

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Path Parameters

server*integer

The server ID

Query Parameters

aggregation_interval?|
Range1 <= value
filter[start]?integer

Unix timestamp for the start of the range. Defaults to 14 days ago and cannot be more than three months in the past.

filter[end]?integer

Unix timestamp for the end of the range. Defaults to now and cannot be more than an hour in the future.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/servers/0/metrics"
{  "data": [    {      "timestamp": "string",      "cpu": "string",      "network_in": "string",      "network_out": "string",      "disk": "string",      "io_read": "string",      "io_write": "string",      "ram": "string"    }  ]}